import * as log from './log'
import * as mqtt from './mqttclient'
import * as callchain from './callchain'


class Dispatcher {
    private _mqttDispatcher: mqtt.MqttDispatcher

    constructor() {
        this._mqttDispatcher = new mqtt.MqttDispatcher()

        this._mqttDispatcher.register('IoT/test', 'print1', (message: any) : any => {
            log.info("Callback for IoT/test")
            log.info(`message is ${message}`)
            return `<<${message}>>`
        })
        this._mqttDispatcher.register('IoT/test', 'print2', (message: any) : any => {
            log.info("Callback for IoT/test")
            log.info(`message is ${message}`)
            return `<<${message}>>`
        })
        this._mqttDispatcher.register('IoT/test', 'null1', mqtt.passThrough)
        this._mqttDispatcher.register('IoT/test', 'null2', mqtt.passThrough)
    }

    exec() : void {
        log.info("Dispatcher starting")

        this._mqttDispatcher.exec()

        log.info("Dispatcher running")
    }
}



const dispatcher = new Dispatcher()
dispatcher.exec()






